/* Siconos is a program dedicated to modeling, simulation and control
 * of non smooth dynamical systems.
 *
 * Copyright 2020 INRIA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

/*! \file ExternalBody.hpp
  \brief External visitable lagrangian class.
*/
#ifndef ExternalBody_hpp
#define ExternalBody_hpp

#include "MechanicsFwd.hpp"
#include <LagrangianDS.hpp>

class ExternalBody :
  public LagrangianDS,
  public std::enable_shared_from_this<ExternalBody>
{
public:

  virtual void selfHash(SpaceFilter&) = 0;

  virtual void selfFindInteractions(SP::SpaceFilter) = 0;

  ACCEPT_BASE_VISITORS(LagrangianDS);

protected:
  ACCEPT_SERIALIZATION(ExternalBody);

};


#endif
