/* Siconos is a program dedicated to modeling, simulation and control
 * of non smooth dynamical systems.
 *
 * Copyright 2020 INRIA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*! \file SiconosCollision.hpp
Include files related to Siconos Mechanics collision interface
*/

#ifndef SiconosCollision_hpp
#define SiconosCollision_hpp

#include "RigidBodyDS.hpp"
#include "RigidBody2dDS.hpp"
#include "ContactR.hpp"
#include "Contact2dR.hpp"
#include "Contact2d3DR.hpp"
#include "Contact5DR.hpp"
#include "SiconosCollisionManager.hpp"
#include "SiconosCollisionQueryResult.hpp"
#include "SiconosContactor.hpp"
#include "SiconosShape.hpp"

#endif
