/* Siconos is a program dedicated to modeling, simulation and control
 * of non smooth dynamical systems.
 *
 * Copyright 2020 INRIA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*! \file SiconosKernel.hpp
Include files related to Siconos Mechanics joints interface
*/

#ifndef SiconosJoints_hpp
#define SiconosJoints_hpp

#include "NewtonEulerJointR.hpp"
#include "CouplerJointR.hpp"
#include "CylindricalJointR.hpp"
#include "FixedJointR.hpp"
#include "KneeJointR.hpp"
#include "PivotJointR.hpp"
#include "PrismaticJointR.hpp"

#include "JointFrictionR.hpp"
#include "JointStopR.hpp"

#endif
